Name:           joda-time
Version:        2.9.9
Release:        5
Summary:        Provides a quality replacement for the Java date and time classes
License:        ASL 2.0
URL:            http://www.joda.org/joda-time/
Source0:        https://github.com/JodaOrg/%{name}/archive/v%{version}.tar.gz
Source1:        https://www.iana.org/time-zones/repository/releases/tzdata2017b.tar.gz
BuildArch:      noarch

BuildRequires:  maven-local, mvn(junit:junit), mvn(org.apache.maven.plugins:maven-source-plugin), mvn(org.apache.velocity:velocity)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin), mvn(org.codehaus.mojo:exec-maven-plugin), mvn(org.joda:joda-convert)
Provides:       %{name}-javadoc%{?_isa} %{name}-javadoc
Obsoletes:      %{name}-javadoc

%description
The standard date and time classes prior to Java SE 8 are poor. By tackling this problem head-on,
Joda-Time became the de facto standard date and time library for Java prior to Java SE 8.
Note that from Java SE 8 onwards, users are asked to migrate to java.time (JSR-310) - a core part
of the JDK which replaces this project.
The design allows for multiple calendar systems, while still providing a simple API. The “default”
calendar is the ISO8601 standard which is used by many other standards. The Gregorian, Julian,
Buddhist, Coptic, Ethiopic and Islamic calendar systems are also included. Supporting classes include
time zone, duration, format and parsing.

%prep
%autosetup -p1

sed -i 's/\r//' *.txt
find . -name '*.jar' -delete

rm -f src/main/java/org/joda/time/tz/src/*
tar -xzf %{SOURCE1} -C src/main/java/org/joda/time/tz/src/

%mvn_file : %{name}

%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc RELEASE-NOTES.txt NOTICE.txt
%license LICENSE.txt
%{_javadocdir}/%{name}/*

%changelog
* Tue Dec 3 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.9.9-5
- Package init
